## net.i2p.router
Class ClientTunnelSettings

    java.lang.Object
      net.i2p.router.ClientTunnelSettings

public class ClientTunnelSettings
extends java.lang.Object

Wrap up the client settings specifying their tunnel criteria

Constructor Summary
`ClientTunnelSettings()`

Method Summary
`TunnelPoolSettings` `getInboundSettings()`
`TunnelPoolSettings` `getOutboundSettings()`
`void` `readFromProperties(java.util.Properties props)`
`void` `setInboundSettings(TunnelPoolSettings settings)`
`void` `setOutboundSettings(TunnelPoolSettings settings)`
`java.lang.String` `toString()`
`void` `writeToProperties(java.util.Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientTunnelSettings

    public ClientTunnelSettings()

Method Detail

### getInboundSettings

    public TunnelPoolSettings getInboundSettings()

### setInboundSettings

    public void setInboundSettings(TunnelPoolSettings settings)

### getOutboundSettings

    public TunnelPoolSettings getOutboundSettings()

### setOutboundSettings

    public void setOutboundSettings(TunnelPoolSettings settings)

### readFromProperties

    public void readFromProperties(java.util.Properties props)

### writeToProperties

    public void writeToProperties(java.util.Properties props)

### toString

    public java.lang.String toString()